org.eclipse.actf.model.dom.dombycom

## Class AnalyzedResult

- java.lang.Object
- - org.eclipse.actf.model.dom.dombycom.AnalyzedResult

    public class AnalyzedResult
    extends Object

AnalyzedResult is used as the object storage for DOM tree traversal. Currently it will have video objects, sound objects, access key list, and Flash nodes. You can collect those objects with `INodeEx.analyze(AnalyzedResult)` method.

### Constructor Summary

Constructors
Constructor and Description
`AnalyzedResult()`

### Method Summary

Methods
`void` `addAccessKey(INodeEx a)` This method is used by items of tree.
`void` `addFlashTopNode(IFlashNode f)` This method is used by items of tree.
`void` `addSound(INodeExSound s)` This method is used by items of tree.
`void` `addVideo(INodeExVideo v)` This method is used by items of tree.
`INodeEx[]` `getAccessKeyNodes()`
`IFlashNode[]` `getFlashTopNodes()`
`INodeExSound[]` `getSoundNodes()`
`INodeExVideo[]` `getVideoNodes()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnalyzedResult

    public AnalyzedResult()

### Method Detail

#### addFlashTopNode

    public void addFlashTopNode(IFlashNode f)

This method is used by items of tree.

Parameters:
  `f` -

#### addVideo

    public void addVideo(INodeExVideo v)

This method is used by items of tree.

Parameters:
  `v` -

#### addSound

    public void addSound(INodeExSound s)

This method is used by items of tree.

Parameters:
  `s` -

#### addAccessKey

    public void addAccessKey(INodeEx a)

This method is used by items of tree.

Parameters:
  `a` -

#### getVideoNodes

    public INodeExVideo[] getVideoNodes()

Returns:
  video objects in the tree.

#### getSoundNodes

    public INodeExSound[] getSoundNodes()

Returns:
  sound objects in the tree.

#### getAccessKeyNodes

    public INodeEx[] getAccessKeyNodes()

Returns:
  node objects that has one or more access keys in the tree.

#### getFlashTopNodes

    public IFlashNode[] getFlashTopNodes()

Returns:
  Flash objects. Each object is corresponding to a Flash object.